Update Operating Hours
1 min
PUT
https://api.upstartcommerce.com/v1/location/{locationId}/hoursofoperation
locationIdstringUnique identifier to reference a specific location resource.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyarrayThe request body must contain the valid operating hours.
200<p>Success-operating hours updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/location/{locationId}/hoursofoperation \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"day": "",
"isOpen": false
}
]'